# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

#### Public Classes

* [`daq`](#daq): Installs and configures LSST DAQ software
* [`daq::daqsdk`](#daq--daqsdk): Installs LSST DAQ SDK software
* [`daq::rptsdk`](#daq--rptsdk): Installs LSST RPT SDK software
* [`daq::service::dsid`](#daq--service--dsid): Manage DAQ DSID service
* [`daq::service::rce`](#daq--service--rce): Manage DAQ RCE service

#### Private Classes

* `daq::service::config`

## Classes

### <a name="daq"></a>`daq`

Installs and configures LSST DAQ software

#### Parameters

The following parameters are available in the `daq` class:

* [`base_path`](#-daq--base_path)
* [`conf_path`](#-daq--conf_path)
* [`backingdir`](#-daq--backingdir)
* [`interface`](#-daq--interface)

##### <a name="-daq--base_path"></a>`base_path`

Data type: `Stdlib::Absolutepath`

LSST software base install directory.  Default: '/opt/lsst'

Default value: `'/opt/lsst'`

##### <a name="-daq--conf_path"></a>`conf_path`

Data type: `Stdlib::Absolutepath`

Service config (systemd EnvironmentFile) path. Default: '/etc/sysconfig'

Default value: `'/etc/sysconfig'`

##### <a name="-daq--backingdir"></a>`backingdir`

Data type: `Stdlib::Absolutepath`

Service backing / cache directory. Default: '/var/lib/vrce'

Default value: `'/var/lib/vrce'`

##### <a name="-daq--interface"></a>`interface`

Data type: `String`

Network interface services should listen on. Default: `lsst-daq`

Default value: `'lsst-daq'`

### <a name="daq--daqsdk"></a>`daq::daqsdk`

Installs LSST DAQ SDK software

#### Parameters

The following parameters are available in the `daq::daqsdk` class:

* [`repo_url`](#-daq--daqsdk--repo_url)
* [`version`](#-daq--daqsdk--version)
* [`purge`](#-daq--daqsdk--purge)

##### <a name="-daq--daqsdk--repo_url"></a>`repo_url`

Data type: `Stdlib::HTTPUrl`

DAQ SDK Nexus repo

Default value: `'https://repo-nexus.lsst.org/nexus/repository/daq/daq-sdk'`

##### <a name="-daq--daqsdk--version"></a>`version`

Data type: `String`

DAQ SDK relase version string

Default value: `'R5-V3.2'`

##### <a name="-daq--daqsdk--purge"></a>`purge`

Data type: `Boolean`

If true, purge unmanaged files under the install path.

Default value: `false`

### <a name="daq--rptsdk"></a>`daq::rptsdk`

Installs LSST RPT SDK software

#### Parameters

The following parameters are available in the `daq::rptsdk` class:

* [`repo_url`](#-daq--rptsdk--repo_url)
* [`version`](#-daq--rptsdk--version)
* [`purge`](#-daq--rptsdk--purge)

##### <a name="-daq--rptsdk--repo_url"></a>`repo_url`

Data type: `Stdlib::HTTPUrl`

RPT SDK Nexus repo

Default value: `'https://repo-nexus.lsst.org/nexus/repository/daq/rpt-sdk'`

##### <a name="-daq--rptsdk--version"></a>`version`

Data type: `String`

RPT SDK relase version string

Default value: `'V3.5.3'`

##### <a name="-daq--rptsdk--purge"></a>`purge`

Data type: `Boolean`

If true, purge unmanaged files under the install path.

Default value: `false`

### <a name="daq--service--dsid"></a>`daq::service::dsid`

Manage DAQ DSID service

### <a name="daq--service--rce"></a>`daq::service::rce`

Manage DAQ RCE service

